Subject: Re: FastCGI support in gitweb

From: Sam Vilain <[email-masked]>
Date: Tue, 04 Mar 2008 01:28:02 +1300

Jakub Narebski wrote:
> First, as far as I understand it, the patch made gitweb had to be used
> with FastCGI server.  It has no comments in code, and if I remember
> correctly the commit message was also fairly nonexistent.  It mixes
> FastCGI changes with site-wide changes.  It wrapped the whole file in
> "until last request" loop instead of wrapping dispatch only.
> 
> Also I am not sure if gitweb doesn't rely on variables being correctly
> set which they are not in FastCGI mode.
> 
> But most important part: it was never resend (IIRC it was send when
> gitweb development was in separate repository)
> 
> 
> I have attached the FastCGI patch and CC-ed the author.

Thanks.  I didn't submit this because I couldn't fix the bugs in it.
Glad you found it.  I had to make many changes in a similar vein with a
current gitweb version; did it work for you in its current form?

You can get it to run externally using FCGI_SOCKET=:3000 (eg, to listen
on FastCGI TCP port 3000)

Sam.